import { mapStateToLayoutProps, rankWith } from '@jsonforms/core';
import { html, repeat } from '@microsoft/fast-element';
import { LayoutWrapper } from './LayoutRenderer';
import { LAYOUT2COLUMNS_RANK } from './RenderersRanks';
LayoutWrapper;
export const LayoutVertical2ColumnsRendererTemplate = html `
  <template>
    <layout-wrapper :control=${(x) => x.control}>
      <div
        style="
          display: flex;
          flex-direction: row;
          flex-wrap: wrap;
          justify-content: space-between;"
        >
          ${repeat((x) => x.control.uischema.elements, html `
              <div style="width: 49%">
                <dispatch-renderer
                  ?submitted=${(x, ctx) => ctx.parent.submitted}
                  :dispatch=${(x, ctx) => ctx.parent.dispatch}
                  :jsonforms=${(x, ctx) => ctx.parent.jsonforms}
                  :prefix=${(x, ctx) => ctx.parent.prefix}
                  :props=${(x, ctx) => ({
    uischema: x,
    schema: ctx.parent.control.schema,
    renderers: ctx.parent.control.renderers,
    path: ctx.parent.control.path,
    enabled: ctx.parent.control.enabled,
})}
                ></dispatch-renderer>
              </div>
        </div>
      `)}
    </layout-wrapper>
  </template>
`;
export const LayoutVertical2ColumnsEntry = {
    renderer: LayoutVertical2ColumnsRendererTemplate,
    tester: rankWith(LAYOUT2COLUMNS_RANK, (uiSchema) => uiSchema.type === 'LayoutVertical2Columns'),
    mapper: mapStateToLayoutProps,
};
